
QGIS Application - Bug report #19142

Landscape print position is not correct

2018-06-07 04:12 PM - Sacha Genoud

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26972

Description

If you print directly to a printer, the position of the graphic is not correct. Left margin is too wide. Portrait is correct. Print in PDF works

correct portrait and landscape.

Associated revisions

Revision a87a7b72 - 2018-07-30 09:12 PM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

Revision 44332c14 - 2018-07-31 02:24 AM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

(cherry-picked from a87a7b72d)

History

#1 - 2018-07-30 09:12 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a87a7b72df6d3bbb71ac423cf61bf80a7de54354.
